<script lang="ts">
	import { createEventDispatcher } from 'svelte';
	import type { CategoryInput } from '../type';
	import { slide } from 'svelte/transition';
	import Input from '../../../../../components/Input.svelte';
	import Button from '../../../../../components/Button.svelte';

	export let show = false;
	export let newCat: CategoryInput = {
		name: '',
		description: ''
	};
	export let categoryId: string = '';

	$: if (categoryId) {
		newCat.id = categoryId;
	}

	const dispatch = createEventDispatcher();
</script>

{#if show}
	<div
		class="flex flex-col gap-2 p-4 border-primary-800 shadow-xl bg-noir-600 rounded-xl"
		transition:slide
	>
		<div class="flex flex-col gap-2">
			<span class="text-lg font-semibold">
				{#if categoryId}
					Editer la catégorie - {newCat.name}
				{:else}
					Ajouter une catégorie
				{/if}
			</span>
			<Input label="Nom" bind:value={newCat.name} />
			<Input label="Description" bind:value={newCat.description} />
			<div class="flex gap-2 items-center">
				<Button
					on:click={() => {
						if (newCat.name !== '') dispatch('add', { newCat });
						show = false;
					}}
				>
					Ajouter
				</Button>
				<Button
					type="secondary"
					on:click={() => {
						show = false;
					}}
				>
					Fermer
				</Button>
			</div>
		</div>
	</div>
{/if}
